Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDataTableBase

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDataAdaptor
                  org.richfaces.component.UISequence
                      org.richfaces.component.UIDataTableBase

All Implemented Interfaces:
  EventListener, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.IterationStateHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.component.Row

Direct Known Subclasses:
  AbstractCollapsibleSubTable, AbstractDataTable, AbstractExtendedDataTable

    public abstract class UIDataTableBase

extends UISequence
implements org.richfaces.component.Row, org.richfaces.component.MetaComponentResolver, org.richfaces.component.MetaComponentEncoder

Nested Class Summary
`protected static class` | `UIDataTableBase.PropertyKeys`

Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor
`UIDataAdaptor.ComponentVisitor`

Field Summary
`static String` | `BODY`
`static String` | `COMPONENT_FAMILY`
`static String` | `FOOTER`
`static String` | `FOOTER_FACET_NAME`
`static String` | `HEADER`
`static String` | `HEADER_FACET_NAME`
`static String` | `NODATA_FACET_NAME`

Fields inherited from class org.richfaces.component.UIDataAdaptor
`COMPONENT_TYPE, decodeVisitor, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIDataTableBase()`

Method Summary
`void` | `addFilteringListener(org.richfaces.event.FilteringListener listener)`
`void` | `addSortingListener(org.richfaces.event.SortingListener listener)`
`Iterator<javax.faces.component.UIComponent>` | `columns()`
`protected org.ajax4jsf.model.ExtendedDataModel<?>` | `createExtendedDataModel()`
`protected Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, String metaComponentId)`
`protected Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
`abstract String` | `getColumnClasses()`
`org.richfaces.event.FilteringListener[]` | `getFilteringListeners()`
`abstract String` | `getFilterVar()`
`abstract javax.faces.component.UIComponent` | `getFooter()`
`abstract String` | `getFooterClass()`
`abstract javax.faces.component.UIComponent` | `getHeader()`
`abstract String` | `getHeaderClass()`
`abstract javax.faces.component.UIComponent` | `getNoData()`
`abstract String` | `getNoDataLabel()`
`abstract String` | `getOnrowclick()`
`abstract String` | `getOnrowdblclick()`
`abstract String` | `getOnrowkeydown()`
`abstract String` | `getOnrowkeypress()`
`abstract String` | `getOnrowkeyup()`
`abstract String` | `getOnrowmousedown()`
`abstract String` | `getOnrowmousemove()`
`abstract String` | `getOnrowmouseout()`
`abstract String` | `getOnrowmouseover()`
`abstract String` | `getOnrowmouseup()`
`boolean` | `getRendersChildren()`
`abstract String` | `getRowClass()`
`abstract String` | `getRowClasses()`
`org.richfaces.event.SortingListener[]` | `getSortingListeners()`
`abstract org.richfaces.model.SortMode` | `getSortMode()`
`abstract Collection<Object>` | `getSortPriority()`
`abstract String` | `getStyle()`
`static Set<String>` | `getSupportedMetaComponents()`
`boolean` | `isColumnFacetPresent(String facetName)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `removeFilteringListener(org.richfaces.event.FilteringListener listener)`
`void` | `removeSortingListener(org.richfaces.event.SortingListener listener)`
`String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`protected void` | `restoreChildState(javax.faces.context.FacesContext facesContext)`
`String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`protected boolean` | `visitDataChildren(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback, boolean visitRows)`
`protected boolean` | `visitFixedChildren(javax.faces.component.visit.VisitContext visitContext, javax.faces.component.visit.VisitCallback callback)`
`void` | `walk(javax.faces.context.FacesContext faces, org.ajax4jsf.model.DataVisitor visitor, org.ajax4jsf.model.Range range, Object argument)` Walk ( visit ) this component on all data-aware children for each row from range.

Methods inherited from class org.richfaces.component.UISequence
`captureOrigValue, createComponentState, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setRows, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

Methods inherited from class org.richfaces.component.UIDataAdaptor
`allFixedChildren, broadcast, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getFamily, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, resetChildState, resetDataModel, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildrenMetaComponents, visitTree, walk, wrapEvent`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.Row
`setRowKey, walk`

Field Detail

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

### HEADER_FACET_NAME

    public static final String HEADER_FACET_NAME

See Also:
  Constant Field Values

### FOOTER_FACET_NAME

    public static final String FOOTER_FACET_NAME

See Also:
  Constant Field Values

### NODATA_FACET_NAME

    public static final String NODATA_FACET_NAME

See Also:
  Constant Field Values

### HEADER

    public static final String HEADER

See Also:
  Constant Field Values

### FOOTER

    public static final String FOOTER

See Also:
  Constant Field Values

### BODY

    public static final String BODY

See Also:
  Constant Field Values

Constructor Detail

### UIDataTableBase

    public UIDataTableBase()

Method Detail

### getHeader

    public abstract javax.faces.component.UIComponent getHeader()

### getFooter

    public abstract javax.faces.component.UIComponent getFooter()

### getNoData

    public abstract javax.faces.component.UIComponent getNoData()

### getNoDataLabel

    public abstract String getNoDataLabel()

### getFilterVar

    public abstract String getFilterVar()

### getRowClass

    public abstract String getRowClass()

### getHeaderClass

    public abstract String getHeaderClass()

### getFooterClass

    public abstract String getFooterClass()

### getColumnClasses

    public abstract String getColumnClasses()

### getRowClasses

    public abstract String getRowClasses()

### getStyle

    public abstract String getStyle()

### getSortPriority

    public abstract Collection<Object> getSortPriority()

### getSortMode

    public abstract org.richfaces.model.SortMode getSortMode()

### getOnrowclick

    public abstract String getOnrowclick()

### getOnrowdblclick

    public abstract String getOnrowdblclick()

### getOnrowmousedown

    public abstract String getOnrowmousedown()

### getOnrowmouseup

    public abstract String getOnrowmouseup()

### getOnrowmouseover

    public abstract String getOnrowmouseover()

### getOnrowmousemove

    public abstract String getOnrowmousemove()

### getOnrowmouseout

    public abstract String getOnrowmouseout()

### getOnrowkeypress

    public abstract String getOnrowkeypress()

### getOnrowkeydown

    public abstract String getOnrowkeydown()

### getOnrowkeyup

    public abstract String getOnrowkeyup()

### columns

    public Iterator<javax.faces.component.UIComponent> columns()

  Specified by:
    `columns` in interface `org.richfaces.component.Row`

### fixedChildren

    protected Iterator<javax.faces.component.UIComponent> fixedChildren()

  Overrides:
    `fixedChildren` in class `UIDataAdaptor`

### dataChildren

    protected Iterator<javax.faces.component.UIComponent> dataChildren()

  Overrides:
    `dataChildren` in class `UIDataAdaptor`

### isColumnFacetPresent

    public boolean isColumnFacetPresent(String facetName)

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.component.UIComponentBase`

### createExtendedDataModel

    protected org.ajax4jsf.model.ExtendedDataModel<?> createExtendedDataModel()

  Overrides:
    `createExtendedDataModel` in class `UISequence`
  Returns:

### walk

    public void walk(javax.faces.context.FacesContext faces,
                     org.ajax4jsf.model.DataVisitor visitor,
                     org.ajax4jsf.model.Range range,
                     Object argument)

  Walk ( visit ) this component on all data-aware children for each row from range.

  Parameters:
    `faces` -
    `visitor` -
    `range` -
    `argument` -

### resolveClientId

    public String resolveClientId(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent contextComponent,
                                  String metaComponentId)

  Specified by:
    `resolveClientId` in interface `org.richfaces.component.MetaComponentResolver`

### substituteUnresolvedClientId

    public String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                               javax.faces.component.UIComponent contextComponent,
                                               String metaComponentId)

  Specified by:
    `substituteUnresolvedClientId` in interface `org.richfaces.component.MetaComponentResolver`

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.component.MetaComponentEncoder`
  Throws:
    `IOException`

### visitFixedChildren

    protected boolean visitFixedChildren(javax.faces.component.visit.VisitContext visitContext,
                                         javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `visitFixedChildren` in class `UIDataAdaptor`

### restoreChildState

    protected void restoreChildState(javax.faces.context.FacesContext facesContext)

  Overrides:
    `restoreChildState` in class `UIDataAdaptor`

### visitDataChildren

    protected boolean visitDataChildren(javax.faces.component.visit.VisitContext visitContext,
                                        javax.faces.component.visit.VisitCallback callback,
                                        boolean visitRows)

  Overrides:
    `visitDataChildren` in class `UIDataAdaptor`

### addSortingListener

    public void addSortingListener(org.richfaces.event.SortingListener listener)

### removeSortingListener

    public void removeSortingListener(org.richfaces.event.SortingListener listener)

### addFilteringListener

    public void addFilteringListener(org.richfaces.event.FilteringListener listener)

### removeFilteringListener

    public void removeFilteringListener(org.richfaces.event.FilteringListener listener)

### getFilteringListeners

    public org.richfaces.event.FilteringListener[] getFilteringListeners()

### getSortingListeners

    public org.richfaces.event.SortingListener[] getSortingListeners()

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `UIDataAdaptor`

### getSupportedMetaComponents

    public static Set<String> getSupportedMetaComponents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.